Page MenuHomePhabricator

Deploy BounceHandler everywhere (adding in wikipedias)
Closed, ResolvedPublic

Description

Tracking task for the actual deployment.

Event Timeline

greg created this task.Mar 16 2015, 6:42 PM
greg assigned this task to 01tonythomas.
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added subscribers: Jalexander, greg, gerritbot and 20 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 6:42 PM
greg moved this task from Unscheduled to March 23-27 on the Roadmap board.Mar 16 2015, 6:45 PM

I'm suggesting next week (week of March 23rd) for this. Is that OK @01tonythomas?

Please add brief summary of user impact to the task itself. Thanks!

I'm suggesting next week (week of March 23rd) for this. Is that OK @01tonythomas?

It's fine :) @Jgreen is on vacs this whole week, and the week of March 23rd looks perfect.

Please add brief summary of user impact to the task itself. Thanks!

The bouncehandler extension would alter the 'Return-Path' header of all emails sent out from wikis ( after this change ) so that bounces would come back all the way till polonium. Currently, polonium HTTP post's the bounce email to the 'bouncehandler' API of test2wikipedia[1], from where the user would be un-subscribed ( if the number of bounces received > 5 in a week ) from appropriate wiki-user db, or from CA. Currently its installed in group1 wikis, expect the wikipedias, and running good[2].
The immediate user impact would be negligible, considering that only a header from received emails would change
[1] https://github.com/wikimedia/operations-puppet/blob/b33bfc7d2b2a691de67b91c31cf5aa7ad8cded5c/manifests/role/mail.pp#L40
[2] https://phabricator.wikimedia.org/T48640#1117090

Change 198220 had a related patch set uploaded (by 01tonythomas):
Install bouncehandler extension everywhere ( including wikipedias )

https://gerrit.wikimedia.org/r/198220

@Gregg Can we have this deployed today ? ( 24 March 2015 )

@greg Can we have this deployed today ? ( 24 March 2015 )

maybe the next day :)
8:19 PM <Jeff_Green> i've got a 1hr appt in 10 min, and then an Ops meeting at 1PM (in 2h)
8:19 PM <Jeff_Green> other than that I can help :-P

greg added a comment.Mar 24 2015, 3:06 PM

It's scheduled for tomorrow, so yeah, just do it tomorrow when @Jgreen is free.

greg moved this task from March 23-27 to March 30-April 3 on the Roadmap board.Mar 27 2015, 3:36 PM
Restricted Application added a project: Notice. · View Herald TranscriptMar 27 2015, 3:36 PM

Change 198220 merged by jenkins-bot:
Install bouncehandler extension everywhere ( including wikipedias )

https://gerrit.wikimedia.org/r/198220

01tonythomas closed this task as Resolved.Mar 30 2015, 5:04 PM

Thanks to all those who came to finish the deployment ! Tested and working !

gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 30 2015, 8:15 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM